//***********************************************
//***************  Manual.h  ********************
//***********************************************
//
//
//***********************************************
//***************  Manual.h  ********************
//***********************************************
#include <p24fj128ga010.h>
//#include <stdio.h>
#include "LCD.h"
#include "Stepper.h"
#include "stdio.h"		//for printf **See note

//Analog_Inputs
#define x_channel  0
#define y_channel  3
#define z_channel  8

//Joystick Buttons
#define BtnTB		PORTCbits.RC1
#define BtnZ_Down	PORTCbits.RC2
#define BtnTA		PORTCbits.RC3
#define BtnZ_Up		PORTCbits.RC4

// Bit/ch 15 14 13 12  11 10 9 8     7 6 5 4  3 2 1 0      
//0b   FE=0  0  0  1   1  1  1 0  C6=1 1 1 1  0 1 1 0
#define AINPUTS  0x1EF6 

/*****************************************************************************/
/*                                 Functions                                */
/*****************************************************************************/

//External Functions
void Manual_Mode(void);
void Manual_initADC(int amask);

/*****************************************************************************/

//Internal Functions
int readADC(int ch);
void CalcFeedRates(void);

/******************************************************************/
