//***********************************************
//****************  PIC_CNC.h  ******************
//***********************************************
//
//
//***********************************************
//****************  PIC_CNC.h  ******************
//***********************************************
#include "CCS_Functions.h"
#include "FSIO.h"
#include "LCD.h"		//LCD functions and defines
#include "Stepper.h"	//Stepper motor functions and defines
#include "G_Code.h"		//G code table
#include "Manual.h"		//Manual controls and functions
#include "stdlib.h"
#include "stdio.h"		//for printf **See note
//To use printf the build options need to show a heap is defined
//for output only the heap can be set to 0
//add to end of compile line --heap=0


int BuffPoint = 0;
unsigned char LineBuff[50];
char CharBuffer[1];
unsigned char LineBuffer[50];
unsigned char BlockBuffer[1024];

long PosInFile = 0;	//character count in file
long LineNumber = 0;//Line count in file

int Word_Count=0;
char Inst_Code_Letter;
char Inst_Code[8];
int iInst_Code;
char Dim_1_Letter;
char Dim_1[8];
float fDim_1;
char Dim_2_Letter;
char Dim_2[8];
float fDim_2;
char Dim_3_Letter;
char Dim_3[8];
float fDim_3;
char Dim_4_Letter;
char Dim_4[8];
float fDim_4;

char EOF_Flag = 0; //end of file

FSFILE * pointer;
char SaveFileName[12];
//char [2] modeArg ="r";
int FilePointer = 0;

int ItemsRead = 0;

extern int GX_On;
extern int GY_On;
extern int GZ_On;
extern int GI_On;
extern int GJ_On;
extern signed long lX_Steps,lY_Steps,lZ_Steps;
extern int Feed_Rate;

void SetupSDosc(void);
void Setup(void);
void OpenReadSDFile(void);
void GetFileToOpen(void);
void ReadBinData(void);
void LoadValues512(void);
void LoadValues16(void);
void ReadData(void);
void GetCodes(void);
void FlushBuffer(void);



